import 'package:flutter/material.dart';
import 'package:pointycastle/export.dart' as crypto;
import 'dart:math';
import 'dart:convert';
import 'dart:typed_data';
import 'package:asn1lib/asn1lib.dart';
import 'widgets/key_storage.dart';

class GenerateNewKeyPairPage extends StatelessWidget {
  const GenerateNewKeyPairPage({super.key});


  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      appBar: AppBar(
        title: const Text('Generate a New Key Pair'),
      ),
      body: Center(
        child: ElevatedButton(
          onPressed: () async {
            await _generateKeyPair();
            showDialog(
              context: context,
              builder: (context) => AlertDialog(
                title: const Text('Keys Generated'),
                content: const Text('The new key pair has been generated and stored securely.'),
                actions: [
                  TextButton(
                    onPressed: () => Navigator.pop(context),
                    child: const Text('OK'),
                  ),
                ],
              ),
            );
          },
          child: const Text('Generate a New Key Pair'),
        ),
      ),
    );
  }
}
